diff --git a/books/bookvol5.pamphlet b/books/bookvol5.pamphlet
index e4d4007..152ada1 100644
--- a/books/bookvol5.pamphlet
+++ b/books/bookvol5.pamphlet
@@ -860,6 +860,20 @@ does nothing but print the argument value.
 (defvar |$promptMsg| 'S2CTP023)
 
 \end{chunk}
+
+\defun{cmpnote}{GCL cmpnote function}
+GCL keeps noting the fact that the compiler is performing tail-recursion.
+Bill Schelter added this as a debugging tool for Axiom and it was never
+removed. Patching the lisp code in the GCL build fails as the system
+is actually built from the pre-compiled C code. Thus, we can only step
+on this message after the fact. The cmpnote function is used nowhere
+else in GCL so stepping on the function call seems best. We're unhappy
+with this hack and will try to convince the GCL crowd to fix this.
+\begin{chunk}{defun cmpnote}
+#+:gcl (defun compiler::cmpnote (&rest x))
+
+\end{chunk}
+
 \defdollar{newcompErrorCount}
 \begin{chunk}{initvars}
 (defvar |$newcompErrorCount| 0)
@@ -13201,7 +13215,6 @@ Bug in the compiler: something which shouldn't have happened did.
   (setq erMsg
    (|processKeyedError|
     (|msgCreate| '|bug| |$nopos| erMsgKey erArgL "Bug!" optAttr)))
-  (enable-backtrace nil)
   (break)
   (|ncAbort|)))
 
@@ -25768,148 +25781,6 @@ linker       linker arguments (e.g. libraries to search) -lxlf
 
 \end{chunk}
 
-\section{kernel}
-\begin{verbatim}
-              Current Values of  kernel  Variables                    
-
-Variable     Description                           Current Value
------------------------------------------------------------------
-warn         warn when re-definition is attempted       off 
-protect      prevent re-definition of kernel functions  off 
-
-\end{verbatim}
-\begin{chunk}{kernel}
-  (|kernel|
-   "library functions built into the kernel for efficiency"
-   |interpreter|
-   TREE
-   |novar|
-   (
-\getchunk{kernelwarn}
-\getchunk{kernelprotect}
-   )
-  )
-
-\end{chunk}
-\subsection{kernelwarn}
-\begin{verbatim}
------------------------ The warn Option -----------------------
-
- Description: warn when re-definition is attempted
-
-Some AXIOM library functions are compiled into the kernel for 
-efficiency reasons. To prevent them being re-defined when loaded 
-from a library they are specially protected. If a user wishes to 
-know when an attempt is made to re-define such a function, he or 
-she should issue the command:
-        )set kernel warn on
-To restore the default behaviour, he or she should issue the 
-command:
-        )set kernel warn off
-\end{verbatim}
-\begin{chunk}{kernelwarn}
-     (|warn|
-      "warn when re-definition is attempted"
-      |interpreter|
-      FUNCTION
-      |protectedSymbolsWarning|
-      NIL
-      |htSetKernelWarn|)
-\end{chunk}
-\defun{protectedSymbolsWarning}{protectedSymbolsWarning}
-\calls{protectedSymbolsWarning}{protected-symbol-warn}
-\calls{protectedSymbolsWarning}{describeProtectedSymbolsWarning}
-\calls{protectedSymbolsWarning}{translateYesNo2TrueFalse}
-\begin{chunk}{defun protectedSymbolsWarning}
-(defun |protectedSymbolsWarning| (arg)
- (let (v)
-   (cond
-    ((eq arg '|%initialize%|) (protected-symbol-warn nil))
-    ((eq arg '|%display%|)
-     (setq v (protected-symbol-warn t))
-     (protected-symbol-warn v) 
-     (if v "on" "off"))
-    ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
-     (|describeProtectedSymbolsWarning|))
-    (t (protected-symbol-warn (|translateYesNo2TrueFalse| (car arg)))))))
-
-\end{chunk}
-
-\defun{describeProtectedSymbolsWarning}{describeProtectedSymbolsWarning}
-\calls{describeProtectedSymbolsWarning}{sayBrightly}
-\begin{chunk}{defun describeProtectedSymbolsWarning}
-(defun |describeProtectedSymbolsWarning| ()
- (|sayBrightly| (list
-  "Some AXIOM library functions are compiled into the kernel for efficiency"
-  '|%l| "reasons.  To prevent them being re-defined when loaded from a library"
-  '|%l|
-  "they are specially protected.  If a user wishes to know when an attempt"
-  '|%l|
-  "is made to re-define such a function, he or she should issue the command:"
-  '|%l| "        )set kernel warn on"
-  '|%l| "To restore the default behaviour, he or she should issue the command:"
-  '|%l| "        )set kernel warn off")))
-
-\end{chunk}
-\subsection{kernelprotect}
-\begin{verbatim}
---------------------- The protect Option ----------------------
-
- Description: prevent re-definition of kernel functions
-
-Some AXIOM library functions are compiled into the kernel for 
-efficiency reasons. To prevent them being re-defined when loaded
-from a library they are specially protected.  If a user wishes 
-to re-define these functions, he or she should issue the command:
-        )set kernel protect off
-To restore the default behaviour, he or she should issue the 
-command:
-        )set kernel protect on
-\end{verbatim}
-\begin{chunk}{kernelprotect}
-     (|protect|
-      "prevent re-definition of kernel functions"
-      |interpreter|
-      FUNCTION
-      |protectSymbols|
-      NIL
-      |htSetKernelProtect|)
-\end{chunk}
-
-\defun{protectSymbols}{protectSymbols}
-\calls{protectSymbols}{protect-symbols}
-\calls{protectSymbols}{describeProtectSymbols}
-\calls{protectSymbols}{translateYesNo2TrueFalse}
-\begin{chunk}{defun protectSymbols}
-(defun |protectSymbols| (arg)
- (let (v)
-   (cond
-    ((eq arg '|%initialize%|) (protect-symbols  t))
-    ((eq arg '|%display%|)
-     (setq v (protect-symbols t))
-     (protect-symbols v)
-     (if v "on" "off"))
-    ((or (null arg) (eq arg '|%describe%|) (eq (car arg) '?))
-     (|describeProtectSymbols|))
-    (t (protect-symbols (|translateYesNo2TrueFalse| (car arg)))))))
-
-\end{chunk}
-\defun{describeProtectSymbols}{describeProtectSymbols}
-\calls{describeProtectSymbols}{sayBrightly}
-\begin{chunk}{defun describeProtectSymbols}
-(defun |describeProtectSymbols| ()
- (|sayBrightly| (list 
-  "Some AXIOM library functions are compiled into the kernel for efficiency"
-  '|%l|
-  "reasons.  To prevent them being re-defined when loaded from a library"
-  '|%l| "they are specially protected.  If a user wishes to re-define these"
-  '|%l| "functions, he or she should issue the command:"
-  '|%l| "        )set kernel protect off"
-  '|%l|
-  "To restore the default behaviour, he or she should issue the command:"
-  '|%l| "        )set kernel protect on")))
-
-\end{chunk}
 \section{hyperdoc}
 \begin{verbatim}
              Current Values of  hyperdoc  Variables                   
@@ -29249,10 +29120,11 @@ which gets called with \verb|%describe%|
             (set (fifth setdata) 
               (|translateYesNo2TrueFalse| (seventh setdata))))
            (t
-            (cond ((eq arg2 '|nobreak|) (use-fast-links t)))
+            (cond ((eq arg2 '|nobreak|) 
+              #+:GCL (si::use-fast-links t)))
             (cond 
              ((eq arg2 '|fastlinks|)
-              (use-fast-links nil)
+              #+:GCL (si::use-fast-links nil)
               (setq arg2 '|break|)))
             (set (fifth setdata) (|translateYesNo2TrueFalse| arg2))))))
         (when (or |$displaySetValue| (null arg2))
@@ -32916,7 +32788,6 @@ to convert the data into type "Expression"
   (return
    (progn
     (setq condition (|MONITOR,EVALTRAN| /breakcondition nil))
-    (enable-backtrace nil)
     (when (eval condition) 
       (|sayBrightly| msg)
       (interrupt))))))
@@ -40725,6 +40596,7 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun clearSpad2Cmd}
 \getchunk{defun close}
 \getchunk{defun closeInterpreterFrame}
+\getchunk{defun cmpnote}
 \getchunk{defun coerceSpadArgs2E}
 \getchunk{defun coerceSpadFunValue2E}
 \getchunk{defun coerceTraceArgs2E}
@@ -40751,8 +40623,6 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun describeFortPersistence}
 \getchunk{defun describeInputLibraryArgs}
 \getchunk{defun describeOutputLibraryArgs}
-\getchunk{defun describeProtectedSymbolsWarning}
-\getchunk{defun describeProtectSymbols}
 \getchunk{defun describeSetFortDir}
 \getchunk{defun describeSetFortTmpDir}
 \getchunk{defun describeSetFunctionsCache}
@@ -41485,12 +41355,10 @@ This needs to work off the internal exposure list, not the file.
 \getchunk{defun processInteractive1}
 \getchunk{defun processKeyedError}
 \getchunk{defun processMsgList}
-\getchunk{defun protectedSymbolsWarning}
 \getchunk{defun protectedEVAL}
 \getchunk{defun processSynonymLine}
 \getchunk{defun processSynonymLine,removeKeyFromLine}
 \getchunk{defun processSynonyms}
-\getchunk{defun protectSymbols}
 \getchunk{defun prTraceNames}
 \getchunk{defun prTraceNames,fn}
 \getchunk{defun pspacers}
diff --git a/books/bookvol7.pamphlet b/books/bookvol7.pamphlet
index 5b08c71..7dbd1ad 100644
--- a/books/bookvol7.pamphlet
+++ b/books/bookvol7.pamphlet
@@ -14843,7 +14843,6 @@ static void makeInputFileFromPage(HyperDocPage *page) {
             sendLispCommand("(|setOutputCharacters| '(default))");
             sendLispCommand("(setq |$printLoadMsgs| NIL)");
             sendLispCommand("(setq |$UserLevel| '|development|)");
-            sendLispCommand("(verbos 0)");
           }
           if (make_patch_files) {
             pfile = fopen(c, "a");
diff --git a/changelog b/changelog
index 28ca1cb..7ad6aba 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,14 @@
+20110923 tpd src/axiom-website/patches.html 20110924.01.tpd.patch
+20110924 tpd src/input/unittest2.input fixup broken tests
+20110924 tpd src/input/unittest1.input fixup broken tests
+20110924 tpd src/input/setcmd.input fixup broken tests
+20110924 tpd src/input/cmds.input fixup broken tests
+20110924 tpd src/input/axiom.input fixup broken tests
+20110924 tpd src/interp/nocompil.lisp remove most functions
+20110924 tpd src/interp/ht-util.lisp merge nocompil.lisp
+20110924 tpd src/interp/g-error.lisp merge nocompil.lisp
+20110924 tpd books/bookvol7 merge nocompil.lisp
+20110924 tpd books/bookvol5 merge nocompil.lisp
 20110923 tpd src/axiom-website/patches.html 20110923.04.tpd.patch
 20110923 tpd books/bookvol5 remove ncParseAndInterpretString
 20110923 tpd src/axiom-website/patches.html 20110923.03.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index cd2b6c1..a0e1ca2 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3630,5 +3630,7 @@ books/bookvol5 remove packageTran<br/>
 src/interp/Makefile remove nci.lisp<br/>
 <a href="patches/20110923.04.tpd.patch">20110923.04.tpd.patch</a>
 books/bookvol5 remove ncParseAndInterpretString<br/>
+<a href="patches/20110924.01.tpd.patch">20110924.01.tpd.patch</a>
+books/bookvol5 merge nocompil.lisp<br/>
  </body>
 </html>
diff --git a/src/input/axiom.input.pamphlet b/src/input/axiom.input.pamphlet
index 6db49f3..f0d8fa1 100644
--- a/src/input/axiom.input.pamphlet
+++ b/src/input/axiom.input.pamphlet
@@ -36,7 +36,6 @@
 
 )set message prompt frame
 
-)lis (verbos 0) 
 -- read the user's synonym file for system commands, if it exists
 )read "mysyns.input"  )ifthere )quiet
 \end{chunk}
diff --git a/src/input/cmds.input.pamphlet b/src/input/cmds.input.pamphlet
index c15cb0a..24264d3 100644
--- a/src/input/cmds.input.pamphlet
+++ b/src/input/cmds.input.pamphlet
@@ -267,33 +267,34 @@
 --R BLQT     BlowUpWithQuadTrans          BOOLEAN  Boolean
 --R BOP      BasicOperator                BPADIC   BalancedPAdicInteger
 --R BPADICRT BalancedPAdicRational        BRAGG-   BinaryRecursiveAggregate&
---R BSTREE   BinarySearchTree             BTAGG-   BitAggregate&
---R BTCAT-   BinaryTreeCategory&          BTOURN   BinaryTournament
---R BTREE    BinaryTree                   CARD     CardinalNumber
---R CARTEN   CartesianTensor              CCLASS   CharacterClass
---R CDFMAT   ComplexDoubleFloatMatrix     CDFVEC   ComplexDoubleFloatVector
---R CHAR     Character                    CLAGG-   Collection&
---R CLIF     CliffordAlgebra              COLOR    Color
---R COMM     Commutator                   COMPCAT- ComplexCategory&
---R COMPLEX  Complex                      COMPPROP SubSpaceComponentProperty
---R CONTFRAC ContinuedFraction            D01AJFA  d01ajfAnnaType
---R D01AKFA  d01akfAnnaType               D01ALFA  d01alfAnnaType
---R D01AMFA  d01amfAnnaType               D01ANFA  d01anfAnnaType
---R D01APFA  d01apfAnnaType               D01AQFA  d01aqfAnnaType
---R D01ASFA  d01asfAnnaType               D01FCFA  d01fcfAnnaType
---R D01GBFA  d01gbfAnnaType               D01TRNS  d01TransformFunctionType
---R D02BBFA  d02bbfAnnaType               D02BHFA  d02bhfAnnaType
---R D02CJFA  d02cjfAnnaType               D02EJFA  d02ejfAnnaType
---R D03EEFA  d03eefAnnaType               D03FAFA  d03fafAnnaType
---R DBASE    Database                     DECIMAL  DecimalExpansion
---R DEQUEUE  Dequeue                      DERHAM   DeRhamComplex
---R DFLOAT   DoubleFloat                  DFMAT    DoubleFloatMatrix
---R DFVEC    DoubleFloatVector            DHMATRIX DenavitHartenbergMatrix
---R DIAGG-   Dictionary&                  DIFEXT-  DifferentialExtension&
---R DIFRING- DifferentialRing&            DIOPS-   DictionaryOperations&
---R DIRPCAT- DirectProductCategory&       DIRPROD  DirectProduct
---R DIRRING  DirichletRing                DIV      Divisor
---R DIVRING- DivisionRing&                DLIST    DataList
+--R BSD      BasicStochasticDifferential  BSTREE   BinarySearchTree
+--R BTAGG-   BitAggregate&                BTCAT-   BinaryTreeCategory&
+--R BTOURN   BinaryTournament             BTREE    BinaryTree
+--R CARD     CardinalNumber               CARTEN   CartesianTensor
+--R CCLASS   CharacterClass               CDFMAT   ComplexDoubleFloatMatrix
+--R CDFVEC   ComplexDoubleFloatVector     CHAR     Character
+--R CLAGG-   Collection&                  CLIF     CliffordAlgebra
+--R COLOR    Color                        COMM     Commutator
+--R COMPCAT- ComplexCategory&             COMPLEX  Complex
+--R COMPPROP SubSpaceComponentProperty    CONTFRAC ContinuedFraction
+--R D01AJFA  d01ajfAnnaType               D01AKFA  d01akfAnnaType
+--R D01ALFA  d01alfAnnaType               D01AMFA  d01amfAnnaType
+--R D01ANFA  d01anfAnnaType               D01APFA  d01apfAnnaType
+--R D01AQFA  d01aqfAnnaType               D01ASFA  d01asfAnnaType
+--R D01FCFA  d01fcfAnnaType               D01GBFA  d01gbfAnnaType
+--R D01TRNS  d01TransformFunctionType     D02BBFA  d02bbfAnnaType
+--R D02BHFA  d02bhfAnnaType               D02CJFA  d02cjfAnnaType
+--R D02EJFA  d02ejfAnnaType               D03EEFA  d03eefAnnaType
+--R D03FAFA  d03fafAnnaType               DBASE    Database
+--R DECIMAL  DecimalExpansion             DEQUEUE  Dequeue
+--R DERHAM   DeRhamComplex                DFLOAT   DoubleFloat
+--R DFMAT    DoubleFloatMatrix            DFVEC    DoubleFloatVector
+--R DHMATRIX DenavitHartenbergMatrix      DIAGG-   Dictionary&
+--R DIFEXT-  DifferentialExtension&       DIFRING- DifferentialRing&
+--R DIOPS-   DictionaryOperations&        DIRPCAT- DirectProductCategory&
+--R DIRPROD  DirectProduct                DIRRING  DirichletRing
+--R DIV      Divisor                      DIVRING- DivisionRing&
+--R DLIST    DataList
 --R DMP      DistributedMultivariatePolynomial
 --R DPMM     DirectProductMatrixModule    DPMO     DirectProductModule
 --R DPOLCAT- DifferentialPolynomialCategory&
@@ -479,7 +480,7 @@
 --R RSETCAT- RegularTriangularSetCategory&
 --R RULE     RewriteRule                  RULECOLD RuleCalled
 --R RULESET  Ruleset                      SAE      SimpleAlgebraicExtension
---R SAOS     SingletonAsOrderedSet
+--R SAOS     SingletonAsOrderedSet        SD       StochasticDifferential
 --R SDPOL    SequentialDifferentialPolynomial
 --R SDVAR    SequentialDifferentialVariable
 --R SEG      Segment                      SEGBIND  SegmentBinding
diff --git a/src/input/setcmd.input.pamphlet b/src/input/setcmd.input.pamphlet
index 6a6f77d..32537f2 100644
--- a/src/input/setcmd.input.pamphlet
+++ b/src/input/setcmd.input.pamphlet
@@ -412,45 +412,16 @@
 --R The current setting is -lxlf 
 --E 27
 
---S 28 of 143
-)set kernel
---R                   Current Values of  kernel  Variables                    
---R
---RVariable     Description                                Current Value
---R-----------------------------------------------------------------------------
---Rwarn         warn when re-definition is attempted       off 
---Rprotect      prevent re-definition of kernel functions  off 
---R
+--S 28 of 143 no longer supported
+--)set kernel
 --E 28
 
---S 29 of 143
-)set kernel warn
---R----------------------------- The warn Option -----------------------------
---R
---R Description: warn when re-definition is attempted
---R
---RSome AXIOM library functions are compiled into the kernel for efficiency
---Rreasons.  To prevent them being re-defined when loaded from a library
---Rthey are specially protected.  If a user wishes to know when an attempt
---Ris made to re-define such a function, he or she should issue the command:
---R        )set kernel warn on
---RTo restore the default behaviour, he or she should issue the command:
---R        )set kernel warn off
+--S 29 of 143 no longer supported
+--)set kernel warn
 --E 29
 
---S 30 of 143
-)set kernel protect
---R--------------------------- The protect Option ----------------------------
---R
---R Description: prevent re-definition of kernel functions
---R
---RSome AXIOM library functions are compiled into the kernel for efficiency
---Rreasons.  To prevent them being re-defined when loaded from a library
---Rthey are specially protected.  If a user wishes to re-define these
---Rfunctions, he or she should issue the command:
---R        )set kernel protect off
---RTo restore the default behaviour, he or she should issue the command:
---R        )set kernel protect on
+--S 30 of 143 no longer supported
+--)set kernel protect
 --E 30
 
 --S 31 of 143
diff --git a/src/input/unittest1.input.pamphlet b/src/input/unittest1.input.pamphlet
index ff30946..bbed31e 100644
--- a/src/input/unittest1.input.pamphlet
+++ b/src/input/unittest1.input.pamphlet
@@ -1214,75 +1214,31 @@ removed altogether. It was created because the CCL implementation
 hard coded some internal functions so they could not be changed.
 \begin{chunk}{*}
 
---S 71 of 97
-)set kernel
---R                   Current Values of  kernel  Variables                    
---R
---RVariable     Description                                Current Value
---R-----------------------------------------------------------------------------
---Rwarn         warn when re-definition is attempted       off 
---Rprotect      prevent re-definition of kernel functions  off 
---R
+--S 71 of 97 no longer supported
+--)set kernel
 --E 71
 
---S 72 of 97
-)set kernel warn
---R----------------------------- The warn Option -----------------------------
---R
---R Description: warn when re-definition is attempted
---R
---RSome AXIOM library functions are compiled into the kernel for efficiency
---Rreasons.  To prevent them being re-defined when loaded from a library
---Rthey are specially protected.  If a user wishes to know when an attempt
---Ris made to re-define such a function, he or she should issue the command:
---R        )set kernel warn on
---RTo restore the default behaviour, he or she should issue the command:
---R        )set kernel warn off
+--S 72 of 97 no longer supported
+--)set kernel warn
 --E 72
 
---S 73 of 97
-)set kernel warn on
+--S 73 of 97 no longer supported
+--)set kernel warn on
 --E 73
 
---S 74 of 97
-)set kernel
---R                   Current Values of  kernel  Variables                    
---R
---RVariable     Description                                Current Value
---R-----------------------------------------------------------------------------
---Rwarn         warn when re-definition is attempted       off 
---Rprotect      prevent re-definition of kernel functions  off 
---R
---E 74
+--S 74 of 97 no longer supported
+--)set kernel
 
---S 75 of 97
-)set kernel protect
---R--------------------------- The protect Option ----------------------------
---R
---R Description: prevent re-definition of kernel functions
---R
---RSome AXIOM library functions are compiled into the kernel for efficiency
---Rreasons.  To prevent them being re-defined when loaded from a library
---Rthey are specially protected.  If a user wishes to re-define these
---Rfunctions, he or she should issue the command:
---R        )set kernel protect off
---RTo restore the default behaviour, he or she should issue the command:
---R        )set kernel protect on
+--S 75 of 97 no longer supported
+--)set kernel protect
 --E 75
 
---S 76 of 97
-)set kernel protect on
+--S 76 of 97 no longer supported
+--)set kernel protect on
 --E 76
 
---S 77 of 97
-)set kernel
---R                   Current Values of  kernel  Variables                    
---R
---RVariable     Description                                Current Value
---R-----------------------------------------------------------------------------
---Rwarn         warn when re-definition is attempted       off 
---Rprotect      prevent re-definition of kernel functions  off 
---R
+--S 77 of 97 no longer supported
+--)set kernel
 --E 77
 
 --S 78 of 97
diff --git a/src/input/unittest2.input.pamphlet b/src/input/unittest2.input.pamphlet
index e9a922d..2292dd9 100644
--- a/src/input/unittest2.input.pamphlet
+++ b/src/input/unittest2.input.pamphlet
@@ -1316,7 +1316,7 @@ This generates non-printing characters
 --S 212 of 236
 )lisp (identity |$setOptions|)
 --R 
---RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|kernel| "library functions built into the kernel for efficiency" |interpreter| TREE |novar| ((|warn| "warn when re-definition is attempted" |interpreter| FUNCTION |protectedSymbolsWarning| NIL |htSetKernelWarn|) (|protect| "prevent re-definition of kernel functions" |interpreter| FUNCTION |protectSymbols| NIL |htSetKernelProtect|))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
+--RValue = ((|breakmode| "execute break processing on error" |interpreter| LITERALS |$BreakMode| (|nobreak| |break| |query| |resume| |fastlinks| |quit|) |nobreak|) (|compiler| "Library compiler options" |interpreter| TREE |novar| ((|output| "library in which to place compiled code" |interpreter| FUNCTION |setOutputLibrary| NIL |htSetOutputLibrary|) (|input| "controls libraries from which to load compiled code" |interpreter| FUNCTION |setInputLibrary| NIL |htSetInputLibrary|))) (|debug| "debug options" |interpreter| TREE |novar| ((|lambdatype| "show type information for #1 syntax" |interpreter| LITERALS $LAMBDATYPE (|on| |off|) |off|) (|dalymode| "Interpret leading open paren as lisp" |interpreter| LITERALS $DALYMODE (|on| |off|) |off|))) (|expose| "control interpreter constructor exposure" |interpreter| FUNCTION |setExpose| NIL |htSetExpose|) (|functions| "some interpreter function options" |interpreter| TREE |novar| ((|cache| "number of function results to cache" |interpreter| FUNCTION |setFunctionsCache| NIL |htSetCache|) (|compile| "compile, don't just define function bodies" |interpreter| LITERALS |$compileDontDefineFunctions| (|on| |off|) |on|) (|recurrence| "specially compile recurrence relations" |interpreter| LITERALS |$compileRecurrence| (|on| |off|) |on|))) (|fortran| "view and set options for FORTRAN output" |interpreter| TREE |novar| ((|ints2floats| "where sensible, coerce integers to reals" |interpreter| LITERALS |$fortInts2Floats| (|on| |off|) |on|) (|fortindent| "the number of characters indented" |interpreter| INTEGER |$fortIndent| (0 NIL) 6) (|fortlength| "the number of characters on a line" |interpreter| INTEGER |$fortLength| (1 NIL) 72) (|typedecs| "print type and dimension lines" |interpreter| LITERALS |$printFortranDecs| (|on| |off|) |on|) (|defaulttype| "default generic type for FORTRAN object" |interpreter| LITERALS |$defaultFortranType| (REAL INTEGER COMPLEX LOGICAL CHARACTER) REAL) (|precision| "precision of generated FORTRAN objects" |interpreter| LITERALS |$fortranPrecision| (|single| |double|) |double|) (|intrinsic| "whether to use INTRINSIC FORTRAN functions" |interpreter| LITERALS |$useIntrinsicFunctions| (|on| |off|) |off|) (|explength| "character limit for FORTRAN expressions" |interpreter| INTEGER |$maximumFortranExpressionLength| (0 NIL) 1320) (|segment| "split long FORTRAN expressions" |interpreter| LITERALS |$fortranSegment| (|on| |off|) |on|) (|optlevel| "FORTRAN optimisation level" |interpreter| INTEGER |$fortranOptimizationLevel| (0 2) 0) (|startindex| "starting index for FORTRAN arrays" |interpreter| INTEGER |$fortranArrayStartingIndex| (0 1) 1) (|calling| "options for external FORTRAN calls" |interpreter| TREE |novar| ((|tempfile| "set location of temporary data files" |interpreter| FUNCTION |setFortTmpDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranTmpDir| |chkDirectory| "/tmp/")) NIL) (|directory| "set location of generated FORTRAN files" |interpreter| FUNCTION |setFortDir| (("enter directory name for which you have write-permission" DIRECTORY |$fortranDirectory| |chkDirectory| "./")) NIL) (|linker| "linker arguments (e.g. libraries to search)" |interpreter| FUNCTION |setLinkerArgs| (("enter linker arguments " STRING |$fortranLibraries| |chkDirectory| "-lxlf")) NIL))))) (|hyperdoc| "options in using HyperDoc" |interpreter| TREE |novar| ((|fullscreen| "use full screen for this facility" |interpreter| LITERALS |$fullScreenSysVars| (|on| |off|) |off|) (|mathwidth| "screen width for history output" |interpreter| INTEGER |$historyDisplayWidth| (0 NIL) 120))) (|help| "view and set some help options" |interpreter| TREE |novar| ((|fullscreen| "use fullscreen facility, if possible" |interpreter| LITERALS |$useFullScreenHelp| (|on| |off|) |on|))) (|history| "save workspace values in a history file" |interpreter| LITERALS |$HiFiAccess| (|on| |off|) |on|) (|messages| "show messages for various system features" |interpreter| TREE |novar| ((|any| "print the internal type of objects of domain Any" |interpreter| LITERALS |$printAnyIfTrue| (|on| |off|) |on|) (|autoload| "print file auto-load messages" |interpreter| LITERALS |$printLoadMsgs| (|on| |off|) |on|) (|bottomup| "display bottom up modemap selection" |development| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|coercion| "display datatype coercion messages" |development| LITERALS |$reportCoerceIfTrue| (|on| |off|) |off|) (|dropmap| "display old map defn when replaced" |interpreter| LITERALS |$displayDroppedMap| (|on| |off|) |off|) (|expose| "warning for unexposed functions" |interpreter| LITERALS |$giveExposureWarning| (|on| |off|) |off|) (|file| "print msgs also to SPADMSG LISTING" |development| LITERALS |$printMsgsToFile| (|on| |off|) |off|) (|frame| "display messages about frames" |interpreter| LITERALS |$frameMessages| (|on| |off|) |off|) (|highlighting| "use highlighting in system messages" |interpreter| LITERALS |$highlightAllowed| (|on| |off|) |off|) (|instant| "present instantiation summary" |development| LITERALS |$reportInstantiations| (|on| |off|) |off|) (|insteach| "present instantiation info" |development| LITERALS |$reportEachInstantiation| (|on| |off|) |off|) (|interponly| "say when function code is interpreted" |interpreter| LITERALS |$reportInterpOnly| (|on| |off|) |on|) (|naglink| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|number| "display message number with message" |interpreter| LITERALS |$displayMsgNumber| (|on| |off|) |off|) (|prompt| "set type of input prompt to display" |interpreter| LITERALS |$inputPromptType| (|none| |frame| |plain| |step| |verbose|) |step|) (|selection| "display function selection msgs" |interpreter| LITERALS |$reportBottomUpFlag| (|on| |off|) |off|) (|set| "show )set setting after assignment" |interpreter| LITERALS |$displaySetValue| (|on| |off|) |off|) (|startup| "display messages on start-up" |interpreter| LITERALS |$displayStartMsgs| (|on| |off|) |on|) (|summary| "print statistics after computation" |interpreter| LITERALS |$printStatisticsSummaryIfTrue| (|on| |off|) |off|) (|testing| "print system testing header" |development| LITERALS |$testingSystem| (|on| |off|) |off|) (|time| "print timings after computation" |interpreter| LITERALS |$printTimeIfTrue| (|on| |off| |long|) |off|) (|type| "print type after computation" |interpreter| LITERALS |$printTypeIfTrue| (|on| |off|) |on|) (|void| "print Void value when it occurs" |interpreter| LITERALS |$printVoidIfTrue| (|on| |off|) |off|))) (|naglink| "options for NAGLink" |interpreter| TREE |novar| ((|host| "internet address of host for NAGLink" |interpreter| FUNCTION |setNagHost| (("enter host name" DIRECTORY |$nagHost| |chkDirectory| "localhost")) NIL) (|persistence| "number of (fortran) functions to remember" |interpreter| FUNCTION |setFortPers| (("Requested remote storage (for asps):" INTEGER |$fortPersistence| (0 NIL) 10)) NIL) (|messages| "show NAGLink messages" |interpreter| LITERALS |$nagMessages| (|on| |off|) |on|) (|double| "enforce DOUBLE PRECISION ASPs" |interpreter| LITERALS |$nagEnforceDouble| (|on| |off|) |on|))) (|output| "view and set some output options" |interpreter| TREE |novar| ((|abbreviate| "abbreviate type names" |interpreter| LITERALS |$abbreviateTypes| (|on| |off|) |off|) (|algebra| "display output in algebraic form" |interpreter| FUNCTION |setOutputAlgebra| (("display output in algebraic form" LITERALS |$algebraFormat| (|off| |on|) |on|) (BREAK $ALGEBRAFORMAT) ("where algebra printing goes (enter {em console} or a pathname)?" FILENAME |$algebraOutputFile| |chkOutputFileName| "console")) NIL) (|characters| "choose special output character set" |interpreter| FUNCTION |setOutputCharacters| NIL |htSetOutputCharacters|) (|fortran| "create output in FORTRAN format" |interpreter| FUNCTION |setOutputFortran| (("create output in FORTRAN format" LITERALS |$fortranFormat| (|off| |on|) |off|) (|break| |$fortranFormat|) ("where FORTRAN output goes (enter {em console} or a a pathname)" FILENAME |$fortranOutputFile| |chkOutputFileName| "console")) NIL) (|fraction| "how fractions are formatted" |interpreter| LITERALS |$fractionDisplayType| (|vertical| |horizontal|) |vertical|) (|html| "create output in HTML style" |interpreter| FUNCTION |setOutputHtml| (("create output in HTML format" LITERALS |$htmlFormat| (|off| |on|) |off|) (|break| |$htmlFormat|) ("where HTML output goes (enter {em console} or a pathname)" FILENAME |$htmlOutputFile| |chkOutputFileName| "console")) NIL) (|length| "line length of output displays" |interpreter| INTEGER $LINELENGTH (10 245) 77) (|mathml| "create output in MathML style" |interpreter| FUNCTION |setOutputMathml| (("create output in MathML format" LITERALS |$mathmlFormat| (|off| |on|) |off|) (|break| |$mathmlFormat|) ("where MathML output goes (enter {em console} or a pathname)" FILENAME |$mathmlOutputFile| |chkOutputFileName| "console")) NIL) (|openmath| "create output in OpenMath style" |interpreter| FUNCTION |setOutputOpenMath| (("create output in OpenMath format" LITERALS |$openMathFormat| (|off| |on|) |off|) (|break| |$openMathFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$openMathOutputFile| |chkOutputFileName| "console")) NIL) (|script| "display output in SCRIPT formula format" |interpreter| FUNCTION |setOutputFormula| (("display output in SCRIPT format" LITERALS |$formulaFormat| (|off| |on|) |off|) (|break| |$formulaFormat|) ("where script output goes (enter {em console} or a a pathname)" FILENAME |$formulaOutputFile| |chkOutputFileName| "console")) NIL) (|scripts| "show subscripts,... linearly" |interpreter| LITERALS |$linearFormatScripts| (|on| |off|) |off|) (|showeditor| "view output of )show in editor" |interpreter| LITERALS |$useEditorForShowOutput| (|on| |off|) |off|) (|tex| "create output in TeX style" |interpreter| FUNCTION |setOutputTex| (("create output in TeX format" LITERALS |$texFormat| (|off| |on|) |off|) (|break| |$texFormat|) ("where TeX output goes (enter {em console} or a pathname)" FILENAME |$texOutputFile| |chkOutputFileName| "console")) NIL))) (|quit| "protected or unprotected quit" |interpreter| LITERALS |$quitCommandType| (|protected| |unprotected|) |protected|) (|streams| "set some options for working with streams" |interpreter| TREE |novar| ((|calculate| "specify number of elements to calculate" |interpreter| FUNCTION |setStreamsCalculate| (("number of initial stream elements you want calculated" INTEGER |$streamCount| (0 NIL) 10)) NIL) (|showall| "display all stream elements computed" |interpreter| LITERALS |$streamsShowAll| (|on| |off|) |off|))) (|system| "set some system development variables" |development| TREE |novar| ((|functioncode| "show gen. LISP for functions when compiled" |development| LITERALS |$reportCompilation| (|on| |off|) |off|) (|optimization| "show optimized LISP code" |development| LITERALS |$reportOptimization| (|on| |off|) |off|) (|prettyprint| "prettyprint BOOT func's as they compile" |development| LITERALS $PRETTYPRINT (|on| |off|) |on|))) (|userlevel| "operation access level of system user" |interpreter| LITERALS |$UserLevel| (|interpreter| |compiler| |development|) |development|))
 --E 212
 
 --S 213 of 236 obsolete |$shoeReadLineFunction|
diff --git a/src/interp/g-error.lisp.pamphlet b/src/interp/g-error.lisp.pamphlet
index 319f853..7f29852 100644
--- a/src/interp/g-error.lisp.pamphlet
+++ b/src/interp/g-error.lisp.pamphlet
@@ -194,7 +194,6 @@
  (declare (special |$BreakMode|))
  (let (msgQ x go-tit)
   (terpri)
-  (enable-backtrace nil)
   (cond
    ((eq |$BreakMode| '|break|) (|sayBrightly| " ") (break))
    ((eq |$BreakMode| '|query|)
diff --git a/src/interp/ht-util.lisp.pamphlet b/src/interp/ht-util.lisp.pamphlet
index f17e800..d556f7b 100644
--- a/src/interp/ht-util.lisp.pamphlet
+++ b/src/interp/ht-util.lisp.pamphlet
@@ -3240,17 +3240,6 @@
 (DEFUN |htSetExpose| (|htPage|)
   (|htSetNotAvailable| |htPage| ")set expose"))
 
-;htSetKernelProtect htPage ==
-; htSetNotAvailable(htPage,'")set kernel protect")
-
-(DEFUN |htSetKernelProtect| (|htPage|)
-  (|htSetNotAvailable| |htPage| ")set kernel protect"))
-
-;htSetKernelWarn htPage ==
-; htSetNotAvailable(htPage,'")set kernel warn")
-
-(DEFUN |htSetKernelWarn| (|htPage|)
-  (|htSetNotAvailable| |htPage| ")set kernel warn"))
 
 ;htSetOutputCharacters htPage ==
 ;  htSetNotAvailable(htPage,'")set output characters")
diff --git a/src/interp/nocompil.lisp.pamphlet b/src/interp/nocompil.lisp.pamphlet
index d658ddd..3dbb6d0 100644
--- a/src/interp/nocompil.lisp.pamphlet
+++ b/src/interp/nocompil.lisp.pamphlet
@@ -9,85 +9,10 @@
 \eject
 \tableofcontents
 \eject
-The function {\bf protected-symbol-warn} was added because it is
-used in {\bf setvart.boot} but apparently is nowhere defined. It
-is probably primitive to {\bf CCL}.
-
-The function {\bf protect-symbols} was added because it is
-used in {\bf setvart.boot} but apparently is nowhere defined. It
-is probably primitive to {\bf CCL}.
-
-The output of these functions is just a noisy warning message
-and this has been commented out.
-\section{GCL cmpnote function}
-GCL keeps noting the fact that the compiler is performing tail-recursion.
-Bill Schelter added this as a debugging tool for Axiom and it was never
-removed. Patching the lisp code in the GCL build fails as the system
-is actually built from the pre-compiled C code. Thus, we can only step
-on this message after the fact. The cmpnote function is used nowhere
-else in GCL so stepping on the function call seems best. We're unhappy
-with this hack and will try to convince the GCL crowd to fix this.
-\begin{chunk}{gcl-cmpnote}
-#+:gcl (defun compiler::cmpnote (&rest x))
-\end{chunk}
-\section{License}
-\begin{verbatim}
-;; Copyright (c) 1991-2002, The Numerical ALgorithms Group Ltd.
-;; All rights reserved.
-;;
-;; Redistribution and use in source and binary forms, with or without
-;; modification, are permitted provided that the following conditions are
-;; met:
-;;
-;;     - Redistributions of source code must retain the above copyright
-;;       notice, this list of conditions and the following disclaimer.
-;;
-;;     - Redistributions in binary form must reproduce the above copyright
-;;       notice, this list of conditions and the following disclaimer in
-;;       the documentation and/or other materials provided with the
-;;       distribution.
-;;
-;;     - Neither the name of The Numerical ALgorithms Group Ltd. nor the
-;;       names of its contributors may be used to endorse or promote products
-;;       derived from this software without specific prior written permission.
-;;
-;; THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS
-;; IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
-;; TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A
-;; PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER
-;; OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
-;; EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
-;; PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
-;; PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
-;; LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
-;; NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
-;; SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-
-\end{verbatim}
 \begin{chunk}{*}
 
-
-\getchunk{gcl-cmpnote}
-
 (in-package "BOOT")
 
-(defun protected-symbol-warn (&rest arg))
-;  (format t "protected-symbol-warn called with ~A~%" arg))
-
-(defun protect-symbols (&rest arg))
-;  (format t "protected-symbol-warn called with ~A~%" arg))
-
-(defun use-fast-links (arg)
-;  (format t "use-fast-links called with ~A~%" arg)
-#+:GCL  (si::use-fast-links arg)
- )
-
-(defun verbos (arg))
-;  (format t "verbos called with ~A~%" arg))
-
-(defun enable-backtrace (&rest arg)
-#+:ccl
-  (format t "protected-symbol-warn called with ~A~%" arg))
 
 ;; NOTE: JoinInner is defined in CATEGORY BOOT
 ;; following code needs to run interpreted to overcome arglist length limits
